petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESMSType

String with the name of a PETSc SNESMS method.

### Synopsis

    typedef const char* SNESMSType;
    #define SNESMSM62       "m62"
    #define SNESMSEULER     "euler"
    #define SNESMSJAMESON83 "jameson83"
    #define SNESMSVLTP21    "vltp21"
    #define SNESMSVLTP31    "vltp31"
    #define SNESMSVLTP41    "vltp41"
    #define SNESMSVLTP51    "vltp51"
    #define SNESMSVLTP61    "vltp61"

### See Also

SNESMSSetType(), SNES

### Level

intermediate

### Location

src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages